Package com.oracle.truffle.api.object

## Interface IntLocation

All Superinterfaces:
  `BaseLocation`, `TypedLocation`

All Known Implementing Classes:
  `BasicLocations.IntLocationDecorator`

    public interface IntLocation
    extends TypedLocation

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getInt​(DynamicObject store, boolean condition)`
`int` `getInt​(DynamicObject store, Shape shape)`
`java.lang.Class<java.lang.Integer>` `getType()` The type of this location.
`void` `setInt​(DynamicObject store, int value)`
`void` `setInt​(DynamicObject store, int value, Shape shape)`
`void` `setInt​(DynamicObject store, int value, Shape oldShape, Shape newShape)`

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Method Detail

#### getInt

    int getInt​(DynamicObject store,
               Shape shape)

See Also:
  `BaseLocation.get(DynamicObject, Shape)`

#### getInt

    int getInt​(DynamicObject store,
               boolean condition)

See Also:
  `BaseLocation.get(DynamicObject, boolean)`

#### setInt

    void setInt​(DynamicObject store,
                int value)
         throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object)`

#### setInt

    void setInt​(DynamicObject store,
                int value,
                Shape shape)
         throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object, Shape)`

#### setInt

    void setInt​(DynamicObject store,
                int value,
                Shape oldShape,
                Shape newShape)

See Also:
  `BaseLocation.set(DynamicObject, Object, Shape, Shape)`

#### getType

    java.lang.Class<java.lang.Integer> getType()

Description copied from interface: `TypedLocation`
The type of this location.

Specified by:
  `getType` in interface `TypedLocation`